Home

Problems loading DPX format
Closed, InvalidPublic

Description
It has been a while since I last worked with dpx files, so imagine my surprise when I tried to load one and Blender couldn't do it?! Trying to load a dpx returns this in the console:

no image!
IMB_ibImageFromMemory: unknown fileformat (/home/san/Pictures/Airport_011L2_Green_003.dpx)

I've attached a zip containing 3 images:

Airport_011L2_Green_003.dpx = standard 10bit dpx frame
blender_dpx_save.dpx = Blender render saved to dpx
iv_dpx_save.jpg = the result when opening that render dpx in 'iv' (oiio viewer)

Blender can open its own dpx fine, and the render also show up fine in 'display' (Imagemagick) but as you can see something weird happens in 'iv'. The Airport dpx works as expected in both 'iv' and 'display' and other dpx capable apps, but Blender won't eat it.

Tested on:
Fedora 17 64bit
Blender-SVN r51272
Blender-2.64a
Blender-2.63a
sergey (Sergey Sharybin) added a comment.Via Old WorldOct 16 2012, 4:46 PM
We've got patch which updates DPX/Cineon file import/export there http://projects.blender.org/tracker/?func=detail&atid=127&aid=27397&group_id=9
It solves the issue.

Checked the patch, updated it to current trunk. Think it's pretty ok to go to svn. Brecht, Campbell -- any ideas?
ton (Ton Roosendaal) added a comment.Via Old WorldOct 20 2012, 7:00 PM
Sergey: go ahead, we are now in bcon1 still so things can always be tested well.
The developer of this code should be emailed to find out if he can be around though.

Ejner: our DPX code was copied from CinePaint, back in early 2008. It was already old then. :)
ton (Ton Roosendaal) closed this task as "Invalid".Via Old WorldOct 20 2012, 7:00 PM
sergey (Sergey Sharybin) added a comment.Via Old WorldOct 22 2012, 2:50 PM
The patch has been applied in svn rev51495, so the report should now be finally solved.
ejnersan (Ejner Fergo) added a comment.Via Old WorldOct 23 2012, 6:46 AM
Thank you!

Add Comment